Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services
Class BaseUnicastRemoteService

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  org.apache.turbine.services.BaseUnicastRemoteService

All Implemented Interfaces:
  Serializable, Remote, Initable, Service

    public class BaseUnicastRemoteService

extends UnicastRemoteObject
implements Service

A base implementation of an `UnicastRemoteObject` as a Turbine `Service`.

Author:
  Daniel Rall
See Also:
  Serialized Form

Field Summary
`protected org.apache.commons.configuration.Configuration` | `configuration`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface org.apache.turbine.services.Service
`SERVICE_NAME`

Constructor Summary
`BaseUnicastRemoteService()`

Method Summary
`org.apache.commons.configuration.Configuration` | `getConfiguration()` Returns the configuration of this service.
`boolean` | `getInit()` Returns initialization status of an Initable.
`InitableBroker` | `getInitableBroker()`
`String` | `getName()` Returns the name of this Service.
`Properties` | `getProperties()` Returns the Properties of this Service.
`ServiceBroker` | `getServiceBroker()`
`void` | `init()` Performs late initialization of an Initable.
`void` | `init(Object data)` Performs early initailization of an Initable During the startup of the system, different objects may be passed to your class using this method.
`void` | `init(javax.servlet.ServletConfig config)`
`protected void` | `setInit(boolean value)`
`void` | `setInitableBroker(InitableBroker broker)` Provides an Initable with a reference to the InitableBroker that instantiated this object, so that it can access other Initables.
`void` | `setName(String name)` ServiceBroker uses this method to pass a Service its name.
`void` | `setServiceBroker(ServiceBroker broker)` Provides a Service with a reference to the ServiceBroker that instantiated this object, so that it can ask for its properties and access other Services.
`void` | `shutdown()` Shuts down this service.

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### configuration

    protected org.apache.commons.configuration.Configuration configuration

Constructor Detail

### BaseUnicastRemoteService

    public BaseUnicastRemoteService()
                             throws RemoteException

Throws:
  `RemoteException`

Method Detail

### getConfiguration

    public org.apache.commons.configuration.Configuration getConfiguration()

  Returns the configuration of this service.

  Specified by:
    `getConfiguration` in interface `Service`
  Returns:
    The configuration of this service.

### init

    public void init(javax.servlet.ServletConfig config)
              throws InitializationException

  Throws:
    `InitializationException`

### setInitableBroker

    public void setInitableBroker(InitableBroker broker)

  Description copied from interface: `Initable`
  Provides an Initable with a reference to the InitableBroker that instantiated this object, so that it can access other Initables.

  Specified by:
    `setInitableBroker` in interface `Initable`
  Parameters:
    `broker` - The InitableBroker that instantiated this object.

### getInitableBroker

    public InitableBroker getInitableBroker()

### init

    public void init(Object data)
              throws InitializationException

  Description copied from interface: `Initable`
  Performs early initailization of an Initable During the startup of the system, different objects may be passed to your class using this method. It should ignore any objects that it doesn't need or understand. After the class changes its internal state so that getInit() returns true, this method will be called no more, and late initialization will not be performed. If your class relies on early initialization, and the object it expects was not received, you can use late initialization to throw an exception and complain.

  Specified by:
    `init` in interface `Initable`
  Parameters:
    `data` - An Object to use for initialization activities.
  Throws:
    `InitializationException` - if initilaization of this class was not successful.

### init

    public void init()
              throws InitializationException

  Description copied from interface: `Initable`
  Performs late initialization of an Initable. When your class is being requested from an InitableBroker, it will call getInit(), and if it returns false, this method will be invoked.

  Specified by:
    `init` in interface `Initable`
  Throws:
    `InitializationException` - if initialization of this class was not successful.

### setInit

    protected void setInit(boolean value)

### getInit

    public boolean getInit()

  Description copied from interface: `Initable`
  Returns initialization status of an Initable.

  Specified by:
    `getInit` in interface `Initable`
  Returns:
    Initialization status of an Initable.

### shutdown

    public void shutdown()

  Shuts down this service.

  Specified by:
    `shutdown` in interface `Initable`

### getProperties

    public Properties getProperties()

  Description copied from interface: `Service`
  Returns the Properties of this Service. Every Service has at least one property, which is "classname", containing the name of the class implementing this service. Note that the service may chose to alter its properties, therefore they may be different from those returned by ServiceBroker.

  Specified by:
    `getProperties` in interface `Service`
  Returns:
    The properties of this Service.

### setName

    public void setName(String name)

  Description copied from interface: `Service`
  ServiceBroker uses this method to pass a Service its name. Service uses its name to ask the broker for an apropriate set of Properties.

  Specified by:
    `setName` in interface `Service`
  Parameters:
    `name` - The name of this Service.

### getName

    public String getName()

  Description copied from interface: `Service`
  Returns the name of this Service.

  Specified by:
    `getName` in interface `Service`
  Returns:
    The name of this Service.

### getServiceBroker

    public ServiceBroker getServiceBroker()

### setServiceBroker

    public void setServiceBroker(ServiceBroker broker)

  Description copied from interface: `Service`
  Provides a Service with a reference to the ServiceBroker that instantiated this object, so that it can ask for its properties and access other Services.

  Specified by:
    `setServiceBroker` in interface `Service`
  Parameters:
    `broker` - The ServiceBroker that instantiated this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.